## lua-bitop 1.0.1

=== Makefile ===
# Makefile for Lua BitOp -- a bit operations library for Lua 5.1.
# To compile with MSVC please run: msvcbuild.bat
# To compile with MinGW please run: mingw32-make -f Makefile.mingw

# Include path where lua.h, luaconf.h and lauxlib.h reside:
INCLUDES= -I/usr/local/include

DEFINES=
# Use this if you need to compile for an old ARM ABI with swapped FPA doubles
#DEFINES= -DSWAPPED_DOUBLE

# Lua executable name. Used to find the install path and for testing.
LUA= lua

CC= gcc
SOCFLAGS= -fPIC
SOCC= $(CC) -shared $(SOCFLAGS)
CFLAGS= -Wall -O2 -fomit-frame-pointer $(SOCFLAGS) $(DEFINES) $(INCLUDES)
RM= rm -f
INSTALL= install -p
INSTALLPATH= $(LUA) installpath.lua

MODNAME= bit
MODSO= $(MODNAME).so

all: $(MODSO)

# Alternative target for compiling on Mac OS X:
macosx:
	$(MAKE) all "SOCC=MACOSX_DEPLOYMENT_TARGET=10.3 $(CC) -dynamiclib -single_module -undefined dynamic_lookup $(SOCFLAGS)"

$(MODSO): $(MODNAME).o
	$(SOCC) -o $@ $<

install: $(MODSO)
	$(INSTALL) $< `$(INSTALLPATH) $(MODNAME)`

test: $(MODSO)
	@$(LUA) bittest.lua && echo "basic test OK"
	@$(LUA) nsievebits.lua && echo "nsievebits test OK"
	@$(LUA) md5test.lua && echo "MD5 test OK"

clean:
	$(RM) *.o *.so *.obj *.lib *.exp *.dll *.manifest

.PHONY: all macosx install test clean

=== debian/changelog ===
lua-bitop (1.0.1-5) unstable; urgency=low

  * multi-arch compliant (dh >= 3.1.8, lua5.1-policy >= 32)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 22:19:15 +0200

lua-bitop (1.0.1-4) unstable; urgency=low

  * Rebuild against lua5.1-policy-dev >= 27 to get rid of .la (Closes: #622529) 
  * Update Standards-version to 3.9.2, no changes
  * Version 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Apr 2011 21:06:56 +0200

lua-bitop (1.0.1-3) unstable; urgency=low

  * build depend lua5.1-policy-dev >= 25 (Closes: #545815)
  * updated Standards-Version to 3.8.3, added README.source pointing
    to the standard dpatch README

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 09 Sep 2009 17:01:45 +0200

lua-bitop (1.0.1-2) unstable; urgency=low

  * changed lua to Lua in the package description
  * build depend on lua5.1-policy-dev >= 22 
  * bumped standards version to 3.8.2, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 13:33:28 +0200

lua-bitop (1.0.1-1) unstable; urgency=low

  * new upstream release solving the string.format issue

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 06 Jan 2009 22:09:27 +0100

lua-bitop (1.0.0-4) unstable; urgency=low

  * removed garbage after else Makefile directive (avoids make warning)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 06 Jan 2009 11:49:36 +0100

lua-bitop (1.0.0-3) unstable; urgency=low

  * conditionally run the md5 and sieve test, since they may pass only if
    the string.format lua function is OK (not OK on ia64 and armel)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 06 Jan 2009 11:15:04 +0100

lua-bitop (1.0.0-2) unstable; urgency=low

  * the flag SWAPPED_DOUBLE was not properly passed to make
  * commented out tests for lua's printf, they fail on armel and ia64 but
    are really tests about lua and not bitop
  * run md5 and sieve tests too

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 06 Jan 2009 10:51:15 +0100

lua-bitop (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #509227)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 19 Dec 2008 23:27:12 +0100

=== debian/control ===
Source: lua-bitop
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-bitop
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-bitop
Homepage: http://bitop.luajit.org

Package: liblua5.1-bitop0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblua5.1-bit0
Description: fast bit manipulation library for the Lua language version 5.1
 This package contains the Lua bitop fast bit manipulation library.

Package: liblua5.1-bitop-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: liblua5.1-bitop0 (= ${binary:Version}), ${misc:Depends}
Description: fast bit manipulation library devel files for the Lua language version 5.1
 This package contains the development files of the Lua bitop fast bit
 manipulation library, useful to create a statically linked binary (like a C
 application or a standalone Lua interpreter).  Documentation is also shipped
 within this package.

## lua-bitop 1.0.2

=== debian/changelog ===
lua-bitop (1.0.2-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995502)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 06:56:23 -0300

lua-bitop (1.0.2-5) unstable; urgency=medium

  * Team upload.
  * Drop luasandbox support as the package is going away (see #891191).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Feb 2018 12:29:27 +0100

lua-bitop (1.0.2-4) unstable; urgency=medium

  * Team upload.
  * Add luasandbox support.
  * Replace multiarch-support by ${misc:Pre-Depends}.
    This requires debhelper >= 9.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 18 Dec 2016 22:52:32 +0100

lua-bitop (1.0.2-3) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723484)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:49 +0200

lua-bitop (1.0.2-2) unstable; urgency=low

  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 08 May 2012 22:54:03 +0200

lua-bitop (1.0.2-1) unstable; urgency=low

  * New upstream release supporting Lua 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 10:57:47 +0200

lua-bitop (1.0.1-6) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy 
  * copyright format 1.0
  * debian/compat set to 8

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 10:47:37 +0200

=== debian/control ===
Source: lua-bitop
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-bitop.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-bitop.git
Homepage: http://bitop.luajit.org

Package: lua-bitop
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-bitop0 (<< 1.0.1-6~)
Breaks: liblua5.1-bitop0 (<< 1.0.1-6~)
Provides: liblua5.1-bitop0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: fast bit manipulation library for the Lua language
 This package contains the Lua bitop fast bit manipulation library.

Package: lua-bitop-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: lua-bitop (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-bitop-dev (<< 1.0.1-6~)
Breaks: liblua5.1-bitop-dev (<< 1.0.1-6~)
Provides: liblua5.1-bitop-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: fast bit manipulation library devel files for the Lua language
 This package contains the development files of the Lua bitop fast bit
 manipulation library, useful to create a statically linked binary (like a C
 application or a standalone Lua interpreter).  Documentation is also shipped
 within this package.

Package: liblua5.1-bitop0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-bitop
Description: Transitional package for lua-bitop
 This is a transitional package to ease upgrades to the lua-bitop
 package. It can safely be removed.

Package: liblua5.1-bitop-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-bitop-dev
Description: Transitional package for lua-bitop-dev
 This is a transitional package to ease upgrades to the lua-bitop-dev
 package. It can safely be removed.

## lua-bitop 1.0.3

=== Makefile ===
# Makefile for Lua BitOp -- a bit operations library for Lua 5.1/5.2.
# To compile with MSVC please run: msvcbuild.bat
# To compile with MinGW please run: mingw32-make -f Makefile.mingw

# Include path where lua.h, luaconf.h and lauxlib.h reside:
INCLUDES= -I/usr/local/include

DEFINES=
# Use this for the old ARM ABI with swapped FPA doubles.
# Do NOT use this for modern ARM EABI with VFP or soft-float!
#DEFINES= -DSWAPPED_DOUBLE

# Lua executable name. Used to find the install path and for testing.
LUA= lua

CC= gcc
CCOPT= -O2 -fomit-frame-pointer
CCWARN= -Wall
SOCC= $(CC) -shared
SOCFLAGS= -fPIC $(CCOPT) $(CCWARN) $(DEFINES) $(INCLUDES) $(CFLAGS)
SOLDFLAGS= -fPIC $(LDFLAGS)
RM= rm -f
INSTALL= install -p
INSTALLPATH= $(LUA) installpath.lua

MODNAME= bit
MODSO= $(MODNAME).so

all: $(MODSO)

# Alternative target for compiling on Mac OS X:
macosx:
	$(MAKE) all "SOCC=MACOSX_DEPLOYMENT_TARGET=10.4 $(CC) -dynamiclib -single_module -undefined dynamic_lookup"

$(MODNAME).o: $(MODNAME).c
	$(CC) $(SOCFLAGS) -c -o $@ $<

$(MODSO): $(MODNAME).o
	$(SOCC) $(SOLDFLAGS) -o $@ $<

install: $(MODSO)
	$(INSTALL) $< `$(INSTALLPATH) $(MODNAME)`

test: $(MODSO)
	@$(LUA) bittest.lua && echo "basic test OK"
	@$(LUA) nsievebits.lua && echo "nsievebits test OK"
	@$(LUA) md5test.lua && echo "MD5 test OK"

clean:
	$(RM) *.o *.so *.obj *.lib *.exp *.dll *.manifest

.PHONY: all macosx install test clean

=== debian/changelog ===
lua-bitop (1.0.3-3) unstable; urgency=low

  * Add Lua 5.5 to the list of versions to build the package.
  * Bump version in the debian/watch uscan control file to 4.
  * Bump the standards version to 4.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Mar 2026 19:36:22 +0300

lua-bitop (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Drop lua5.2 support.

 -- Bastian Germann <bage@debian.org>  Tue, 30 Dec 2025 13:25:31 +0100

lua-bitop (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 11:45:23 +0300

lua-bitop (1.0.2-7) unstable; urgency=medium
 
  * Set maintainer to Debian Lua Team, and uploader to myself (closes: #995502).
  * Fix the package Git URL.
  * Add a patch which ports lua-bitop to Lua 5.3 and 5.4.
  * Drop transitional packages liblua5.1-bitop0 and liblua5.1-bitop-dev
    (closes: #878688).
  * Add a patch which fixes FTBFS on GNU/Hurd (closes: #765296).
  * Fix requirements in the pkgconfig script (closes: #833358).
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Jan 2023 15:47:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lua-bitop
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-bitop.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-bitop.git
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-lua (>= 36)
+Standards-Version: 4.7.3
 Homepage: http://bitop.luajit.org
+Vcs-Git: https://salsa.debian.org/lua-team/lua-bitop.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-bitop
 
 Package: lua-bitop
 Architecture: any
@@ -35,21 +36,3 @@
  manipulation library, useful to create a statically linked binary (like a C
  application or a standalone Lua interpreter).  Documentation is also shipped
  within this package.
-
-Package: liblua5.1-bitop0
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-bitop
-Description: Transitional package for lua-bitop
- This is a transitional package to ease upgrades to the lua-bitop
- package. It can safely be removed.
-
-Package: liblua5.1-bitop-dev
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-bitop-dev
-Description: Transitional package for lua-bitop-dev
- This is a transitional package to ease upgrades to the lua-bitop-dev
- package. It can safely be removed.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-bitop
#
version=4
http://bitop.luajit.org/download.html download/LuaBitOp-([\d\.]*).tar.gz
